Skip to main content
`Ctrl`+`K`

# numpy.astype

numpy.astype(x, dtype, /, *, copy=True, device=None)

  Copies an array to a specified data type.

  This function is an Array API compatible alternative to `numpy.ndarray.astype`.

  Parameters:
    x ndarray

      Input NumPy array to cast. `array_likes` are explicitly not supported here.

    dtype dtype

      Data type of the result.

    copy bool, optional

      Specifies whether to copy an array when the specified dtype matches the data type of the input array `x`. If `True`, a newly allocated array must always be returned. If `False` and the specified dtype matches the data type of the input array, the input array must be returned; otherwise, a newly allocated array must be returned. Defaults to `True`.

    device str, optional

      The device on which to place the returned array. Default: None. For Array-API interoperability only, so must be `"cpu"` if passed.

      Added in version 2.1.0.

  Returns:
    out ndarray

      An array having the specified data type.

  See also

  `ndarray.astype`

  Examples

      >>> import numpy as np
      >>> arr = np.array([1, 2, 3]); arr
      array([1, 2, 3])
      >>> np.astype(arr, np.float64)
      array([1., 2., 3.])

  Non-copy case:

      >>> arr = np.array([1, 2, 3])
      >>> arr_noncpy = np.astype(arr, arr.dtype, copy=False)
      >>> np.shares_memory(arr, arr_noncpy)
      True